	.text
	.align	4
	.globl	main
main:
	pushl	%ebp
	movl	%esp,%ebp
        pushl   %ebx
        call    .Ltmp
.Ltmp:
        popl    %ebx
        addl    $_GLOBAL_OFFSET_TABLE_+[.-.Ltmp],%ebx
        movl    12(%ebp),%eax
        movl    _mFargv@GOT(%ebx),%edx
        movl    %eax,(%edx)
        movl    8(%ebp),%eax
        movl    _mFargc@GOT(%ebx),%edx
        movl    %eax,(%edx)
        leal    &mFNAME,%eax
        pushl   %eax
        call    _mFgmain
        popl    %ebx
        leave
        ret
